package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.entity.TransactionRecord;
import com.ssm.manage.entity.TurnMembershipCard;
import com.ssm.manage.query.TurnMembershipCardRequest;
import com.ssm.manage.response.TurnMembershipCardResponse;

import java.util.List;

public interface SsmTurnMembershipCardService extends BaseService<TurnMembershipCard> {
    PageInfo<TurnMembershipCardResponse> selectPage(TurnMembershipCardRequest turnMembershipCardRequest);
    int add(TurnMembershipCardRequest turnMembershipCardRequest,String key) throws SmsException;
    int addNew(TurnMembershipCardRequest turnMembershipCardRequest,String key) throws SmsException;
    int update(TurnMembershipCardRequest turnMembershipCardRequest,String key) throws SmsException;
    int updateNew(TurnMembershipCardRequest turnMembershipCardRequest,String key) throws SmsException;
    int updateState(TurnMembershipCardRequest turnMembershipCardRequest,String key) throws SmsException;
    int updateStateNew(TurnMembershipCardRequest turnMembershipCardRequest,String key) throws SmsException;
}
